Name: cups2freefax
Summary: Virtual fax printer for French ISP "Free"
Version: 201205092342
Release: %mkrel 14
License: GPLv2+
Group: Communications/Fax
Source0: http://www.sputnick-area.net/scripts/cups2freefax/cups2freefax_%{version}.tar.gz
Source1: README.install.urpmi
Url: http://redmine.sputnick-area.net/wiki/cups2freefax
Requires: cups
Requires: zenity
Requires: perl-HTML-Tree
Requires: perl-WWW-Mechanize
Requires: perl-LWP-Protocol-https


%description
This project allows French ISP "Free" users to send faxes directly via:
 - a virtual printer CUPS.
 - The context menu of KDE or Gnome
 - in pure CLI (command line) via the sub-project fax4free

%prep
%setup -q -c -n %{name}_%{version}

%build
gcc %{optflags} -o cups2freefax cups2freefax.c

%install
install -D -m 644 ./version %{buildroot}%{_var}/lib/cups2freefax/maj
install -D -m 644 ./cron.pl %{buildroot}%{_var}/lib/cups2freefax/
install -D -m 644 ./fax4free.desktop %{buildroot}%{_datadir}/kde4/services/ServiceMenus/fax4free.desktop
install -D -m 755 ./fax4free_nautilus %{buildroot}%{_datadir}/nautilus-scripts/fax4free_nautilus
install -m 644 ./cups2freefaxrc %{buildroot}%{_var}/lib/cups2freefax/cups2freefaxrc
install -D -m 700 ./cups2freefax %{buildroot}%{_libdir}/cups/backend/cups2freefax
install -m 755 ./cups2freefax.bash %{buildroot}%{_var}/lib/cups2freefax/cups2freefax.bash
install -D -m 644 ./cups2freefax.conf %{buildroot}%{_sysconfdir}/cups/cups2freefax.conf
install -D -m 755 ./fax4free.pl %{buildroot}%{_bindir}/fax4free
install -D -m 644 ./etc_cups2freefaxrc %{buildroot}%{_sysconfdir}/cups2freefax/cups2freefaxrc
install -d -m 777 %{buildroot}/var/spool/cups2freefax
install -m 644 %{SOURCE1} README.install.urpmi
install -D -m755 ./cron.pl %{buildroot}%{_sysconfdir}/cron.daily/cups2freefax.pl &>/dev/null

%files
%doc README.install.urpmi
%{_bindir}/fax4free
%{_var}/lib/cups2freefax/cups2freefax.bash
%{_var}/lib/cups2freefax/cups2freefaxrc
%{_var}/lib/cups2freefax/maj
%{_var}/lib/cups2freefax/cron.pl
%{_sysconfdir}/cron.daily/cups2freefax.pl
%{_libdir}/cups/backend/cups2freefax
%config(noreplace)%{_sysconfdir}/cups/cups2freefax.conf
%{_datadir}/kde4/services/ServiceMenus/fax4free.desktop
%{_datadir}/nautilus-scripts/fax4free_nautilus
%{_var}/spool/cups2freefax
%config(noreplace)%{_sysconfdir}/cups2freefax/cups2freefaxrc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 201205092342-14.mga10
+ Revision: 2195281
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 201205092342-13.mga9
+ Revision: 1791755
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 201205092342-12.mga8
+ Revision: 1511767
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 201205092342-11.mga7
+ Revision: 1297354
- Mageia 7 Mass Rebuild

* Tue Sep 12 2017 cjw <cjw> 201205092342-10.mga7
+ Revision: 1153117
- use optflags in build

* Thu Feb 11 2016 umeabot <umeabot> 201205092342-9.mga6
+ Revision: 953651
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 201205092342-8.mga6
+ Revision: 880183
- reenable debuginfo after killig stripping

* Wed Sep 09 2015 neoclust <neoclust> 201205092342-7.mga6
+ Revision: 874986
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 201205092342-6.mga5
+ Revision: 740998
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 201205092342-5.mga5
+ Revision: 678638
- Mageia 5 Mass Rebuild

* Wed Oct 16 2013 dtux <dtux> 201205092342-4.mga4
+ Revision: 501777
- Added 2 missing files

* Fri Jan 11 2013 umeabot <umeabot> 201205092342-3.mga3
+ Revision: 348487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 201205092342-2.mga3
+ Revision: 302261
- update RPM group

* Fri Jul 06 2012 dtux <dtux> 201205092342-1.mga3
+ Revision: 268504
- Update to version 201205092342

* Wed Jan 25 2012 dtux <dtux> 201108281450-2.mga2
+ Revision: 201471
- Add post-install instructions (README.install.urpmi

* Wed Jan 25 2012 stormi <stormi> 201108281450-1.mga2
+ Revision: 201365
- remove unneeded BR
+ dtux <dtux>
- Modification spec file for file rights.
- imported package cups2freefax

